Bug 4924 - Public/Internal notes missing in staff normal view
Summary: Public/Internal notes missing in staff normal view
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-30 17:56 UTC by Katrin Fischer
Modified: 2010-11-23 11:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot from staff, no item notes are displayed (25.06 KB, image/png)
2010-06-30 17:56 UTC, Katrin Fischer
Details
Incremental fix (3.02 KB, patch)
2010-07-02 15:35 UTC, Owen Leonard
Details | Diff | Splinter Review
screenshot after applying Owen's patch locally (24.86 KB, image/png)
2010-08-04 15:01 UTC, Katrin Fischer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-06-30 17:56:05 UTC
Created attachment 2296 [details]
screenshot from staff, no item notes are displayed

In normal view in staff public notes (items.itemnotes) and internal notes (more_subfields_xml) are not shown.

The mappings were not changed after install. 

I can see the notes in the MARC view and in the items table (database).

I'm not sure about internal notes, but I think that public notes should be shown in opac and staff.

Koha Version: 3.01.00.141
XSLT on/off makes no difference.
Comment 1 Owen Leonard 2010-07-02 15:35:23 UTC
Created attachment 2302 [details] [review]
Incremental fix

This fix adds only public notes. A div is added as a hook for styling.
Comment 2 Katrin Fischer 2010-08-04 14:59:56 UTC
Lowering severity to enhancement and version to rel_3_4.

I checked our 3.01.61 installations and public notes are not showing in staff. I am not sure they ever showed in staff.

I successfully tested Owen's patch with Koha version 3.01.00.145.

I think internal notes should show in staff too. At the moment you will only see them in cataloging. 

Part of the problem might be that there is no real mapping of internal notes to a field in the items table. Sometimes it's mapped to paidfor, but I am not sure this field is not used by other features.
Comment 3 Katrin Fischer 2010-08-04 15:01:13 UTC
Created attachment 2454 [details]
screenshot after applying Owen's patch locally
Comment 4 Chris Cormack 2010-11-13 06:23:11 UTC
Patch pushed
Comment 5 Katrin Fischer 2010-11-14 11:58:54 UTC
Successfully tested on master.
Comment 6 Chris Nighswonger 2010-11-18 03:15:31 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 7 Katrin Fischer 2010-11-23 11:18:37 UTC
Tested ok with 3.2.1